// CatExcp.h : header file
//

// Miscellaneous defines

#define ERROR_FAIL       1
#define ERROR_RECOVER    2

/////////////////////////////////////////////////////////////////////////////
// CCatException window

class CCatException : public CException
{
// Construction
public:
	CCatException();

// Attributes
public:

// Operations
public:

// Overrides

// Implementation
public:
     virtual ~CCatException();
     VOID SetError(const INT code,const CHAR *msg,...);
     VOID Catastro(VOID);

public:
     DECLARE_DYNCREATE(CCatException)
     INT m_errorCode;
     CString m_errorString;

protected:
     VOID SetString(const CHAR *str,va_list args);
};

/////////////////////////////////////////////////////////////////////////////
